Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.enhance
Class RedefinitionHelper

    java.lang.Object
      org.apache.openjpa.enhance.RedefinitionHelper

    public class RedefinitionHelper

extends Object

Helper methods for managed types that use method redefinition for field tracking.

Since:
  1.0.0

Constructor Summary
`RedefinitionHelper()`

Method Summary
`static void` | `accessingField(Object o, int absoluteIndex)` Notify the state manager for `o` (if any) that a field is about to be accessed.
`static void` | `assignLazyLoadProxies(StateManagerImpl sm)` Create a container instance that will delegate back to the state manager to emulate lazy loading.
`static void` | `dirtyCheck(StateManager sm)` Call `StateManagerImpl.dirtyCheck()` if the argument is a `StateManagerImpl`.
`static void` | `settingField(Object o, int idx, boolean cur, boolean next)` Setting state callback.
`static void` | `settingField(Object o, int idx, byte cur, byte next)` Setting state callback.
`static void` | `settingField(Object o, int idx, char cur, char next)` Setting state callback.
`static void` | `settingField(Object o, int idx, double cur, double next)` Setting state callback.
`static void` | `settingField(Object o, int idx, float cur, float next)` Setting state callback.
`static void` | `settingField(Object o, int idx, int cur, int next)` Setting state callback.
`static void` | `settingField(Object o, int idx, long cur, long next)` Setting state callback.
`static void` | `settingField(Object o, int idx, Object cur, Object next)` Setting state callback.
`static void` | `settingField(Object o, int idx, short cur, short next)` Setting state callback.
`static void` | `settingField(Object o, int idx, String cur, String next)` Setting state callback.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RedefinitionHelper

    public RedefinitionHelper()

Method Detail

### dirtyCheck

    public static void dirtyCheck(StateManager sm)

  Call `StateManagerImpl.dirtyCheck()` if the argument is a `StateManagerImpl`.

### accessingField

    public static void accessingField(Object o,
                                      int absoluteIndex)

  Notify the state manager for `o` (if any) that a field is about to be accessed.

### settingField

    public static void settingField(Object o,
                                    int idx,
                                    boolean cur,
                                    boolean next)

  Setting state callback.

### settingField

    public static void settingField(Object o,
                                    int idx,
                                    char cur,
                                    char next)

  Setting state callback.

### settingField

    public static void settingField(Object o,
                                    int idx,
                                    byte cur,
                                    byte next)

  Setting state callback.

### settingField

    public static void settingField(Object o,
                                    int idx,
                                    short cur,
                                    short next)

  Setting state callback.

### settingField

    public static void settingField(Object o,
                                    int idx,
                                    int cur,
                                    int next)

  Setting state callback.

### settingField

    public static void settingField(Object o,
                                    int idx,
                                    long cur,
                                    long next)

  Setting state callback.

### settingField

    public static void settingField(Object o,
                                    int idx,
                                    float cur,
                                    float next)

  Setting state callback.

### settingField

    public static void settingField(Object o,
                                    int idx,
                                    double cur,
                                    double next)

  Setting state callback.

### settingField

    public static void settingField(Object o,
                                    int idx,
                                    String cur,
                                    String next)

  Setting state callback.

### settingField

    public static void settingField(Object o,
                                    int idx,
                                    Object cur,
                                    Object next)

  Setting state callback.

### assignLazyLoadProxies

    public static void assignLazyLoadProxies(StateManagerImpl sm)

  Create a container instance that will delegate back to the state manager to emulate lazy loading. This is used by PC subclasses for unenhanced types that could not be redefined, and thus do not have field-interception capabilities. Do this for all collection and map field types, even if they are in the dfg, in case the fetch groups are reset at runtime.

  Since:
    1.1.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.